Gecode::Int::Extensional::LayeredGraph< View, Val, Degree, StateIdx >::LayerValues Class Reference

Iterator for telling variable domains by scanning support. More...

`#include <extensional.hh>`

## Public Member Functions

| LayerValues (void)
| Default constructor.
| LayerValues (const Layer &l)
| Initialize for support of layer l.
void | init (const Layer &l)
| Initialize for support of layer l.
bool | operator() (void) const
| Test whether more values supported.
void | operator++ (void)
| Move to next supported value.
int | val (void) const
| Return supported value.

## Detailed Description

template<class View, class Val, class Degree, class StateIdx>
class Gecode::Int::Extensional::LayeredGraph< View, Val, Degree, StateIdx >::LayerValues

Iterator for telling variable domains by scanning support.

Definition at line 102 of file extensional.hh.

## Constructor & Destructor Documentation

## LayerValues() [1/2]

template<class View, class Val, class Degree, class StateIdx>

Gecode::Int::Extensional::LayeredGraph< View, Val, Degree, StateIdx >::LayerValues::LayerValues | ( | void |  | ) |

inline

Default constructor.

Definition at line 124 of file layered-graph.hpp.

## LayerValues() [2/2]

template<class View, class Val, class Degree, class StateIdx>

Gecode::Int::Extensional::LayeredGraph< View, Val, Degree, StateIdx >::LayerValues::LayerValues | ( | const Layer & | l | ) |

inline

Initialize for support of layer l.

Definition at line 127 of file layered-graph.hpp.

## Member Function Documentation

## init()

template<class View, class Val, class Degree, class StateIdx>

void Gecode::Int::Extensional::LayeredGraph< View, Val, Degree, StateIdx >::LayerValues::init | ( | const Layer & | l | ) |

inline

Initialize for support of layer l.

Definition at line 132 of file layered-graph.hpp.

## operator()()

template<class View, class Val, class Degree, class StateIdx>

bool Gecode::Int::Extensional::LayeredGraph< View, Val, Degree, StateIdx >::LayerValues::operator() | ( | void |  | ) | const

inline

Test whether more values supported.

Definition at line 137 of file layered-graph.hpp.

## operator++()

template<class View, class Val, class Degree, class StateIdx>

void Gecode::Int::Extensional::LayeredGraph< View, Val, Degree, StateIdx >::LayerValues::operator++ | ( | void |  | ) |

inline

Move to next supported value.

Definition at line 143 of file layered-graph.hpp.

## val()

template<class View, class Val, class Degree, class StateIdx>

int Gecode::Int::Extensional::LayeredGraph< View, Val, Degree, StateIdx >::LayerValues::val | ( | void |  | ) | const

inline

Return supported value.

Definition at line 148 of file layered-graph.hpp.

The documentation for this class was generated from the following files:

- gecode/int/extensional.hh
- gecode/int/extensional/layered-graph.hpp